=== debian/changelog ===
lomiri-gallery-app (2.10.9~git20221009.1317376-3) unstable; urgency=medium

  [ Anton Gladky ]
  * debian/.gitlab-ci.yml:
    + Let blhc fail.

  [ Mike Gabriel ]
  * debian/control:
    + Fix QML module name for qml-module-lomiri-thumbnailer in Depends: of
      lomiri-gallery-app. (Closes: #1022101).
    + Drop unnecessary dependencies from -common bin:pkg.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 20 Oct 2022 11:38:55 +0200

lomiri-gallery-app (2.10.9~git20221009.1317376-2) unstable; urgency=medium

  * Team upload.
  * Add debian/.gitlab-ci.yml
  * Source only upload

 -- Anton Gladky <gladk@debian.org>  Wed, 19 Oct 2022 15:58:52 +0200

lomiri-gallery-app (2.10.9~git20221009.1317376-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1021495).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 09 Oct 2022 17:53:27 +0200
