=== debian/control ===
Source: lomiri-gallery-app
Section: graphics
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
           Marius Gripsgard <marius@ubports.com>,
Build-Depends: debhelper-compat (= 13),
               cmake,
               pkg-config,
               dh-apparmor,
               libexiv2-dev,
               libgl1-mesa-dev | libgl-dev,
               libgles2-mesa-dev,
               libmediainfo-dev,
               libqt5opengl5-dev,
               libqt5svg5,
               qtbase5-dev,
               qtdeclarative5-dev,
               python3-all:any,
# for static linking of exiv2 in click mode
               libexpat1-dev,
               zlib1g-dev,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/apps/lomiri-gallery-app
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-gallery-app.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-gallery-app

Package: lomiri-gallery-app
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lomiri-gallery-app-common (<< ${source:Version}.1~),
         lomiri-gallery-app-common (>= ${source:Version}),
         libqt5sql5-sqlite,
         qml-module-qtquick2,
         qml-module-qtmultimedia | qml-module-qtmultimedia-gles,
         qml-module-lomiri-thumbnailer,
         qml-module-lomiri-components,
         qml-module-lomiri-layouts,
         qml-module-qtquick-window2,
         qml-module-lomiri-content,
Description: Gallery App for Lomiri Operating Environment
 This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
 a mobile OS developed by the UBports Foundation. Lomiri is its operating
 environment optimized for touch based human-machine interaction, but
 also supports convergence (i.e. switching between tablet/phone and
 desktop mode).
 .
 This package provides Lomiri's Gallery App.

Package: lomiri-gallery-app-common
Architecture: all
Depends: ${misc:Depends},
Description: Gallery App for Lomiri Operating Environment (arch-indep files)
 This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
 a mobile OS developed by the UBports Foundation. Lomiri is its operating
 environment optimized for touch based human-machine interaction, but
 also supports convergence (i.e. switching between tablet/phone and
 desktop mode).
 .
 This package provides the arch-indep files of Lomiri's Gallery App.
