=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  pretty=2.10.9~git%cd.%h" \
https://gitlab.com/ubports/development/apps/lomiri-gallery-app \
HEAD debian uupdate
