=== debian/changelog ===
lomiri-gallery-app (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Start watching upstream releases.
  * debian/patches:
    + Drop 0001_copyright-headers-Use-uniform-spelling-for-copyright.patch
      and 1001_qSort-to-sort-switch.patch. Both applied upstream
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
    + Fix B-D on libgl-dev (drop alternative B-D).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 30 Jan 2023 22:57:20 +0100
