=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                pkg-config,
                dh-apparmor,
                libexiv2-dev,
-               libgl1-mesa-dev | libgl-dev,
+               libgl-dev,
                libgles2-mesa-dev,
                libmediainfo-dev,
                libqt5opengl5-dev,
@@ -20,7 +20,7 @@
 # for static linking of exiv2 in click mode
                libexpat1-dev,
                zlib1g-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/apps/lomiri-gallery-app
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-gallery-app.git
