=== debian/changelog ===
lomiri-gallery-app (3.0.1-1) unstable; urgency=medium

  * New upstream release.
    - Fix Icon= key in .desktop file.
    - Translation updates.
  * debian/control:
    + Add D: qml-module-lomiri-components-extras. Thanks to Rodney
      Dawes for noticing this.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 28 Feb 2023 19:37:23 +0100
