=== debian/control ===
--- 
+++ 
@@ -37,6 +37,7 @@
          qml-module-qtmultimedia | qml-module-qtmultimedia-gles,
          qml-module-lomiri-thumbnailer,
          qml-module-lomiri-components,
+         qml-module-lomiri-components-extras,
          qml-module-lomiri-layouts,
          qml-module-qtquick-window2,
          qml-module-lomiri-content,
