=== debian/rules ===
#!/usr/bin/make -f

NULL =

export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
export QT_QPA_PLATFORM = minimal

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --	\
	    -DCLICK_MODE=OFF	\
	    -DINSTALL_TESTS=OFF	\
	    $(NULL)

override_dh_install:
	dh_install
	dh_apparmor -plomiri-gallery-app --profile-name=lomiri-gallery-app

	# drop autopilot test files
	rm debian/lomiri-calculator-app/usr/lib/ -Rfv

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
	QT_QPA_PLATFORM=minimal CTEST_OUTPUT_ON_FAILURE=1 dh_auto_test

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
