=== debian/watch ===
version=4
https://gitlab.com/ubports/development/apps/lomiri-gallery-app/tags .*/lomiri-gallery-app-v(\d\S+)\.tar\.gz
