=== src/CMakeLists.txt ===
--- 
+++ 
@@ -65,3 +65,5 @@
     )
 
 install(TARGETS ${GALLERY} RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
+
+install(PROGRAMS lomiri-gallery-app-migrate.py DESTINATION "${GALLERY_DIR}/")
