=== debian/changelog ===
lomiri-gallery-app (3.0.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:51:54 +1100

lomiri-gallery-app (3.0.2-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:44:53 +0000

lomiri-gallery-app (3.0.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attribution for debian/.
    + Update copyright attributions.
  * debian/rules:
    + Remove not needed migration script (Ubuntu Touch specific).
    + Drop copy+paste remnant that should have never landed in this src:pkg.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 04 Feb 2024 23:56:38 +0100
