=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lomiri-gallery-app
 Section: graphics
 Priority: optional
-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            Marius Gripsgard <marius@ubports.com>,
 Build-Depends: debhelper-compat (= 13),
