=== debian/rules ===
--- 
+++ 
@@ -17,11 +17,11 @@
 	    $(NULL)
 
 override_dh_install:
+	# drop Ubuntu Touch migration script
+	rm debian/tmp/usr/share/lomiri-gallery-app/lomiri-gallery-app-migrate.py
+
 	dh_install
 	dh_apparmor -plomiri-gallery-app --profile-name=lomiri-gallery-app
-
-	# drop autopilot test files
-	rm debian/lomiri-calculator-app/usr/lib/ -Rfv
 
 override_dh_missing:
 	dh_missing --fail-missing
