## lomiri-gallery-app 3.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-gallery-app VERSION 3.0.2 LANGUAGES CXX)
+project(lomiri-gallery-app VERSION 3.1.0 LANGUAGES CXX)
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 # Find includes in corresponding build directories
@@ -28,10 +28,13 @@
 endif()
 
 find_package(Qt5Core)
+find_package(Qt5DBus)
 find_package(Qt5Gui)
 find_package(Qt5Qml)
 find_package(Qt5Quick)
 find_package(Qt5Sql)
+find_package(Qt5Widgets)
+find_package(Qt5Xml)
 if(CMAKE_SYSTEM_PROCESSOR MATCHES "^arm")
     find_package(GLESv2)
 else()
@@ -42,8 +45,13 @@
 pkg_check_modules(EXIV2 REQUIRED exiv2)
 pkg_check_modules(MEDIAINFO REQUIRED libmediainfo)
 
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall -Werror")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall")
 set(CMAKE_EXE_LINKER_FLAGS "-s")
+
+option(ENABLE_WERROR "Treat all build warnings as errors" OFF)
+if (ENABLE_WERROR)
+    add_compile_options ("-Werror")
+endif ()
 
 # Activate C++11 on Cmake >= 3.1
 if (CMAKE_VERSION VERSION_GREATER "3.1")
@@ -70,10 +78,10 @@
 if(CLICK_MODE)
     set(CMAKE_INSTALL_PREFIX /)
     set(CMAKE_INSTALL_BINDIR /)
-    set(GALLERY_DIR "")
+    set(GALLERY_DIR ${CMAKE_INSTALL_PREFIX})
     add_definitions("-DCLICK_MODE=1")
 else(CLICK_MODE)
-    set(GALLERY_DIR ${CMAKE_INSTALL_DATADIR}/${GALLERY})
+    set(GALLERY_DIR ${CMAKE_INSTALL_FULL_DATADIR}/${GALLERY})
 endif(CLICK_MODE)
 
 # for dh_translations to extract the domain
@@ -81,11 +89,15 @@
 set (GETTEXT_PACKAGE "${GALLERY}")
 
 # Tests
-enable_testing()
+include(CTest)
 
 add_subdirectory(click)
 add_subdirectory(desktop)
 add_subdirectory(po)
 add_subdirectory(rc)
 add_subdirectory(src)
-add_subdirectory(tests)
+
+if(BUILD_TESTING)
+    find_package(Qt5Test)
+    add_subdirectory(tests)
+endif()
