=== rc/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 if(CLICK_MODE)
     set(GALLERY_RC_DIR rc)
 else(CLICK_MODE)
-    set(GALLERY_RC_DIR ${CMAKE_INSTALL_PREFIX}/${GALLERY_DIR}/rc)
+    set(GALLERY_RC_DIR ${GALLERY_DIR}/rc)
 endif(CLICK_MODE)
 
 install(DIRECTORY img DESTINATION ${GALLERY_RC_DIR} FILES_MATCHING PATTERN *)
