=== src/qml/CMakeLists.txt ===
--- 
+++ 
@@ -35,5 +35,7 @@
     ${gallery_qml_SRCS}
     )
 
-qt5_use_modules(${GALLERY_QML_LIB} Core Quick)
-
+target_link_libraries(${GALLERY_QML_LIB}
+    Qt5::Core
+    Qt5::Quick
+    )
