=== debian/changelog ===
lomiri-gallery-app (3.1.0-2build1) plucky; urgency=medium

  * No-change rebuild for libexiv2

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 01 Nov 2024 12:13:56 +0000

lomiri-gallery-app (3.1.0-2) unstable; urgency=medium

  * debian/:
    + Enable user-session-migration debhelper feature and provide lomiri-
      gallery-app_01_update-content-hub.sh migration script.
  * debian/control:
    + In B-D, switch from pkg-config to pkgconf.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 13 Sep 2024 09:57:26 +0200

lomiri-gallery-app (3.1.0-1) unstable; urgency=medium

  * New upstream release.
    - Support building against exiv2 0.28. (Closes: #1076761).
  * debian/patches:
    + Drop 2001_build-without-Werror.patch. ENABLE_WERROR option introduced
      upstream (and OFF by default).
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.
  * debian/copyright:
    + Update copyright attributions.
  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 11 Sep 2024 14:19:03 +0200
