=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: lomiri-gallery-app
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            Marius Gripsgard <marius@ubports.com>,
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               pkg-config,
+               pkgconf,
                dh-apparmor,
+               dh-user-session-migration,
                libexiv2-dev,
                libgl-dev,
                libgles2-mesa-dev,
@@ -21,7 +21,7 @@
 # for static linking of exiv2 in click mode
                libexpat1-dev,
                zlib1g-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/apps/lomiri-gallery-app
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-gallery-app.git
