=== src/event/CMakeLists.txt ===
--- 
+++ 
@@ -25,5 +25,8 @@
     ${gallery_event_SRCS}
     )
 
-qt5_use_modules(${GALLERY_EVENT_LIB} Widgets Core Qml)
-
+target_link_libraries(${GALLERY_EVENT_LIB}
+    Qt5::Core
+    Qt5::Qml
+    Qt5::Widgets
+    )
