=== debian/changelog ===
lomiri-gallery-app (3.1.1-2) unstable; urgency=medium

  * debian/*.user-session-migration:
    + Replace non-dash script lomiri-gallery-app_01_update-content-hub.sh by
      Python script lomiri-gallery-app_01_update-content-hub. The user-session-
      migration enforces shell execution via /bin/sh (dash in Debian) which does
      not support shell arrays.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 13 Aug 2025 23:16:12 +0200

lomiri-gallery-app (3.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/copyright:
    + Update copyright attributions.
  * debian/patches:
    + Add 2001_hide-app-if-not-in-lomiri.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2025 15:34:52 +0200
