=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 # for static linking of exiv2 in click mode
                libexpat1-dev,
                zlib1g-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/apps/lomiri-gallery-app
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-gallery-app.git
