=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@
+	dh $@ --with user-session-migration
 
 override_dh_auto_configure:
 	dh_auto_configure --	\
